Name:      ibus-chewing
Summary:   ibus - Chinese chewing engine
Version:   2.0.0
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       https://github.com/chewing/ibus-chewing
Source0:   https://github.com/chewing/ibus-chewing/releases/download/v%{version}/%{name}-%{version}-Source.tar.xz
BuildRequires:	cmake
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(chewing)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	gettext

Requires:	ibus >= 1.3.0
Requires:	libchewing-data

%description
ibus - Chinese chewing engine.

%prep
%autosetup -n %{name}-%{version}-Source

%build
%cmake
%cmake_build

%install
%cmake_install

rm -fr %buildroot%_datadir/doc

%find_lang %name

%files -f %name.lang
%doc AUTHORS README.md ChangeLog-1.x CHANGELOG.md USER-GUIDE
%license COPYING
%{_libexecdir}/ibus-*
%{_datadir}/applications/ibus-setup-chewing.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.IBus.Chewing.gschema.xml
%{_datadir}/%{name}/
%{_datadir}/ibus/component/*.xml


%changelog
* Thu Jun 06 2024 daviddavid <daviddavid> 2.0.0-1.mga10
+ Revision: 2070302
- new version: 2.0.0

* Thu Mar 31 2022 umeabot <umeabot> 1.6.1-6.mga9
+ Revision: 1836147
- Mageia 9 Mass Rebuild

* Mon Aug 17 2020 martinw <martinw> 1.6.1-5.mga8
+ Revision: 1614563
- fix build with latest cmake macros

* Fri Feb 14 2020 umeabot <umeabot> 1.6.1-4.mga8
+ Revision: 1522327
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Jan 24 2019 daviddavid <daviddavid> 1.6.1-3.mga7
+ Revision: 1360430
- use proper cmake macros

* Wed Sep 26 2018 umeabot <umeabot> 1.6.1-2.mga7
+ Revision: 1305855
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros
- Update to version 1.6.1
- Fixed Source0 URL

* Fri Aug 12 2016 yochenhsieh <yochenhsieh> 1.5.1-1.mga6
+ Revision: 1046078
- New version 1.5.1

* Wed May 11 2016 yochenhsieh <yochenhsieh> 1.5.0-1.mga6
+ Revision: 1012960
- new version 1.5.0

* Mon Feb 15 2016 umeabot <umeabot> 1.4.14-2.mga6
+ Revision: 960634
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 yochenhsieh <yochenhsieh> 1.4.14-1.mga6
+ Revision: 837913
- New version 1.4.14

* Wed Oct 15 2014 umeabot <umeabot> 1.4.10.1-3.mga5
+ Revision: 742825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.10.1-2.mga5
+ Revision: 680411
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 yochenhsieh <yochenhsieh> 1.4.10.1-1.mga5
+ Revision: 670372
- new version 1.4.10.1

* Sun Jan 26 2014 luigiwalser <luigiwalser> 1.4.7-1.mga5
+ Revision: 568343
- 1.4.7
+ fwang <fwang>
- update file list
- add br
- update fedora module
- new version 1.4.5

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 505952
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 354060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 fwang <fwang> 1.4.3-1.mga3
+ Revision: 322500
- new version 1.4.3

* Tue Oct 23 2012 fwang <fwang> 1.4.2-2.mga3
+ Revision: 309343
- rebuild for new ibus

* Sat Sep 08 2012 fwang <fwang> 1.4.2-1.mga3
+ Revision: 289902
- new version 1.4.2

* Thu Jul 26 2012 yochenhsieh <yochenhsieh> 1.4.0-1.mga3
+ Revision: 274474
- Update build patch for 1.4.0
- New version 1.4.0

* Sat Oct 29 2011 fwang <fwang> 1.3.10-1.mga2
+ Revision: 159405
- fix build
- new version 1.3.10

* Sat Sep 24 2011 fwang <fwang> 1.3.9.2-3.mga2
+ Revision: 147480
- br gcon
- rebuild for new ibus

* Wed Jun 15 2011 fwang <fwang> 1.3.9.2-2.mga2
+ Revision: 107388
- add helper for registering engine

* Thu Apr 14 2011 tv <tv> 1.3.9.2-1.mga1
+ Revision: 85360
- rediff patch0
+ ennael <ennael>
- new release, fix many bugs
  remove buildroot

* Fri Mar 18 2011 tv <tv> 1.3.7.20100910-1.mga1
+ Revision: 73557
- imported package ibus-chewing


* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 1.3.7.20100910-1mdv2011.0
+ Revision: 577571
- New version 1.3.7

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 1.3.6.20100730-1mdv2011.0
+ Revision: 564011
- new version 1.3.6.20100730

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 1.3.5.20100706-1mdv2011.0
+ Revision: 549907
- new version 1.3.5.20100706

* Mon Apr 26 2010 Funda Wang <fwang@mandriva.org> 1.2.99.20100317-2mdv2010.1
+ Revision: 538843
- rebuild

* Sat Mar 20 2010 Funda Wang <fwang@mandriva.org> 1.2.99.20100317-1mdv2010.1
+ Revision: 525405
- update to new version 1.2.99.20100317

* Mon Feb 15 2010 Funda Wang <fwang@mandriva.org> 1.2.99.20100215-1mdv2010.1
+ Revision: 506215
- update to new version 1.2.99.20100215

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 1.2.99.20100212-1mdv2010.1
+ Revision: 504506
- New version 1.2.99.20100212

* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 1.2.0.20100125-1mdv2010.1
+ Revision: 497381
- update to new version 1.2.0.20100125

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091211-1mdv2010.1
+ Revision: 478608
- new version 1.2.0.20091211

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20091002-1mdv2010.1
+ Revision: 460598
- New version  1.2.0.20091002

* Mon Sep 21 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090917-1mdv2010.0
+ Revision: 446418
- new version 1.2.0.20090917

* Thu Sep 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090831-1mdv2010.0
+ Revision: 426838
- new version 1.2.0.20090831

* Mon Aug 03 2009 Funda Wang <fwang@mandriva.org> 1.2.0.20090624-1mdv2010.0
+ Revision: 408392
- new version 1.2.0

* Mon May 25 2009 Funda Wang <fwang@mandriva.org> 1.0.10.20090523-1mdv2010.0
+ Revision: 379362
- New version 1.0.10

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 1.0.9.20090508-1mdv2010.0
+ Revision: 374144
- New version 1.0.9.20090508

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.0.8.20090428-1mdv2010.0
+ Revision: 369478
- New version 1.0.8.20090424
- New version 1.0.8.20090424

* Sat Mar 14 2009 Funda Wang <fwang@mandriva.org> 1.0.3.20090311-1mdv2009.1
+ Revision: 354802
- add BR
- New version 1.0.3.20090311

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 1.0.2.20090302-1mdv2009.1
+ Revision: 348997
- New version 1.0.2.20090302

* Sat Feb 21 2009 Funda Wang <fwang@mandriva.org> 1.0.0.20090220-1mdv2009.1
+ Revision: 343568
- new version 1.0.0.20090220

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-2mdv2009.1
+ Revision: 318673
- rebuild for new python

* Thu Oct 23 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20081023-1mdv2009.1
+ Revision: 296654
- New version 0.1.1.20081023

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080917-1mdv2009.1
+ Revision: 292259
- New version 0.1.1.20080917

* Fri Sep 05 2008 Funda Wang <fwang@mandriva.org> 0.1.1.20080905-1mdv2009.0
+ Revision: 281320
- add br on autopoint
- import ibus-chewing


